Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970963 - [RFE] Error message thrown to the user while creating custom info for distributor should be user-friendly
[RFE] Error message thrown to the user while creating custom info for distrib...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: Unused
Assigned To: Adam Price
Tazim Kolhar
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 06:33 EDT by Tazim Kolhar
Modified: 2016-04-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:05:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2013-06-05 06:33:21 EDT
Description of problem:
Error message thrown to the user saying that the maximum allowed keyname length is 255

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
signo-katello-0.0.15-1.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
katello-cli-1.4.2-6.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.2-6.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-common-1.4.2-8.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch


How reproducible:
# yum install -y katello-foreman-all
# katello-configure --user-pass=***

Steps to Reproduce:
1. katello --username "admin" --password **** distributor add_custom_info --org "org_system-1370427285" --name "distributor_name-1370427285" --keyname "0134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567890134567891370427294" --value "013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789013456789" 
PGError: ERROR:  value too long for type character varying(255)
: INSERT INTO "custom_info" ("created_at", "informable_id", "informable_type", "keyname", "updated_at", "value") VALUES ($1, $2, $3, $4, $5, $6) RETURNING "id"



Actual results:
The returned string is not user-friendly

Expected results:
The returned string should be properly formatted

Additional info:
Comment 3 Tazim Kolhar 2014-04-28 01:35:55 EDT
Hammer does not support distributor command

# hammer --help
Usage:
    hammer [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    activation-key                Manipulate activation keys.
    architecture                  Manipulate architectures.
    compute-resource              Manipulate compute resources.
    content-host                  manipulate content hosts on the server
    content-view                  Manipulate content views.
    domain                        Manipulate domains.
    environment                   Manipulate environments.
    fact                          Search facts.
    global-parameter              Manipulate global parameters.
    gpg                           manipulate GPG Key actions on the server
    host                          Manipulate hosts.
    hostgroup                     Manipulate hostgroups.
    lifecycle-environment         manipulate lifecycle_environments on the server
    location                      Manipulate locations.
    medium                        Manipulate installation media.
    model                         Manipulate hardware models.
    organization                  Manipulate organizations
    os                            Manipulate operating system.
    partition-table               Manipulate partition tables.
    ping                          get the status of the server
    product                       Manipulate products.
    proxy                         Manipulate smart proxies.
    puppet-class                  Search puppet modules.
    puppet-module                 View Puppet Module details.
    report                        Browse and read reports.
    repository                    Manipulate repositories
    repository-set                manipulate repository sets on the server
    sc-param                      Manipulate smart class parameters.
    shell                         Interactive shell
    subnet                        Manipulate subnets.
    subscription                  Manipulate subscriptions.
    sync-plan                     Manipulate sync plans
    system-group                  Manipulate system groups
    task                          Tasks related actions.
    template                      Manipulate config templates.
    user                          Manipulate users.

Options:
    --autocomplete LINE           Get list of possible endings
    --csv                         Output as CSV (same as --output=csv)
    --csv-separator SEPARATOR     Character to separate the values
    --interactive INTERACTIVE     Explicitly turn interactive mode on/off
                                  One of true/false, yes/no, 1/0.
    --output ADAPTER              Set output format. One of [table, base, silent, csv]
    --show-ids                    Show ids of associated resources
    --version                     show version
    -c, --config CFG_FILE         path to custom config file
    -d, --debug                   show debugging output
    -h, --help                    print help
    -p, --password PASSWORD       password to access the remote system
    -u, --username USERNAME       username to access the remote system
    -v, --verbose                 be verbose
Comment 4 Bryan Kearney 2014-07-02 10:05:44 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.